Bug 105348 - T.TEST function - divide by 0
Summary: T.TEST function - divide by 0
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Winfried Donkers
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.1
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-15 17:12 UTC by raal
Modified: 2017-01-28 10:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test file (376.76 KB, application/vnd.oasis.opendocument.spreadsheet-flat-xml)
2017-01-15 17:12 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2017-01-15 17:12:07 UTC
Description:
See the attachment . Rows 2 and 6 -  result should be error

Actual Results:  
.

Expected Results:
.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 raal 2017-01-15 17:12:39 UTC
Created attachment 130454 [details]
test  file
Comment 2 Commit Notification 2017-01-23 16:28:44 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=84e87423c182ec78aba4eb108355906a0d2f0096

tdf#105348 add check for divide by zero situation.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-01-24 00:29:04 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6db82982d65b2b15aa7cc2aab5e6219f2db15dd7&h=libreoffice-5-3

tdf#105348 add check for divide by zero situation.

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 raal 2017-01-28 10:25:20 UTC
Verified in 5.4